import { randomUUID } from 'crypto';

export abstract class BaseDomainEvent {
  readonly eventId: string = randomUUID();
  readonly occurredAt: Date = new Date();
  abstract readonly eventType: string;
}
